SolrInputDocument::getBoost
SolrInputDocument::getFieldBoost
SolrInputDocument
PHP Manual

# SolrInputDocument::getField

(PECL solr >= 0.9.2)

SolrInputDocument::getField — Retrieves a field by name

### Description

public SolrDocumentField SolrInputDocument::getField ( string `$fieldName` )

Retrieves a field in the document.

### Parameters

`fieldName`

  The name of the field.

### Return Values

Returns a SolrDocumentField object on success and `FALSE` on failure.

SolrInputDocument::getBoost
SolrInputDocument::getFieldBoost
SolrInputDocument
PHP Manual